window.Gleam.initSearch([{"doc":"cymbal","title":"cymbal","content":"# cymbal\n\nBuild YAML in Gleam!\n\n[![Package Version](https://img.shields.io/hexpm/v/cymbal)](https://hex.pm/packages/cymbal)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/cymbal/)\n\n```sh\ngleam add cymbal\n```\n```gleam\nimport cymbal.{block, array, string, int}\n\npub fn main() {\n  let document = \n    block([\n      #(&quot;apiVersion&quot;, string(&quot;v1&quot;)),\n      #(&quot;kind&quot;, string(&quot;Pod&quot;)),\n      #(&quot;metadata&quot;, block([#(&quot;name&quot;, string(&quot;example-pod&quot;))])),\n      #(\n        &quot;spec&quot;,\n        block([\n          #(\n            &quot;containers&quot;,\n            array([\n              block([\n                #(&quot;name&quot;, string(&quot;example-container&quot;)),\n                #(&quot;image&quot;, string(&quot;nginx&quot;)),\n                #(&quot;ports&quot;, array([block([#(&quot;containerPort&quot;, int(80))])])),\n              ]),\n            ]),\n          ),\n        ]),\n      ),\n    ])\n\n  cymbal.encode(document)\n  // ---\n  // apiVersion: v1\n  // kind: Pod\n  // metadata:\n  //   name: example-pod\n  // spec:\n  //   containers:\n  //   - name: example-container\n  //     image: nginx\n  //     ports:\n  //     - containerPort: 80\n  )\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/cymbal&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n","url":"index.html"},{"doc":"cymbal","title":"Yaml","content":"pub opaque type Yaml\n A YAML document which can be converted into a string using the `encode`\n function.\n\n\nSynonyms:\ncymbal.Yaml\ncymbal Yaml","url":"cymbal.html#Yaml"},{"doc":"cymbal","title":"array","content":"pub fn array(i: List(Yaml)) -&gt; Yaml\n Create a YAML document from a list of YAML documents.\n\nSynonyms:\ncymbal.array\ncymbal array","url":"cymbal.html#array"},{"doc":"cymbal","title":"block","content":"pub fn block(i: List(#(String, Yaml))) -&gt; Yaml\n Create a YAML document from a list of named YAML values.\n\nSynonyms:\ncymbal.block\ncymbal block","url":"cymbal.html#block"},{"doc":"cymbal","title":"bool","content":"pub fn bool(i: Bool) -&gt; Yaml\n Create a YAML document from a bool.\n\nSynonyms:\ncymbal.bool\ncymbal bool","url":"cymbal.html#bool"},{"doc":"cymbal","title":"encode","content":"pub fn encode(doc: Yaml) -&gt; String\n Convert a YAML document into a string.\n\nSynonyms:\ncymbal.encode\ncymbal encode","url":"cymbal.html#encode"},{"doc":"cymbal","title":"float","content":"pub fn float(i: Float) -&gt; Yaml\n Create a YAML document from a float.\n\nSynonyms:\ncymbal.float\ncymbal float","url":"cymbal.html#float"},{"doc":"cymbal","title":"int","content":"pub fn int(i: Int) -&gt; Yaml\n Create a YAML document from an int.\n\nSynonyms:\ncymbal.int\ncymbal int","url":"cymbal.html#int"},{"doc":"cymbal","title":"string","content":"pub fn string(i: String) -&gt; Yaml\n Create a YAML document from a string.\n\nSynonyms:\ncymbal.string\ncymbal string","url":"cymbal.html#string"},{"doc":"cymbal","title":"cymbal","content":"","url":"cymbal.html"}]);